--- acpi_call.c-orig	2020-05-04 13:25:32.691890015 +0200
+++ acpi_call.c	2020-05-04 13:30:48.732403548 +0200
@@ -317,11 +317,18 @@
     return ret;
 }

+#if LINUX_VERSION_CODE >= KERNEL_VERSION(5, 6, 0)
+static struct proc_ops proc_acpi_operations = {
+        .proc_read  = acpi_proc_read,
+        .proc_write = acpi_proc_write,
+};
+#else
 static struct file_operations proc_acpi_operations = {
         .owner    = THIS_MODULE,
         .read     = acpi_proc_read,
         .write    = acpi_proc_write,
 };
+#endif

 #else
 static int acpi_proc_read(char *page, char **start, off_t off,
